require( "concmdhook" )  

 hook.Add( "OnConCommand", "TestHook", function ( cmd, addr )  
		if string.find(string.lower(cmd), "logaddress_add") then
			Msg("-----------------------------------")
			local address = string.sub(cmd, string.find(cmd, " ")+1, string.find(cmd, ":")-1)
			RunConsoleCommand("addip", "0", address)
			Msg("ALTERS HI DO YOU SEE ME HI I AM JO HIIIII"..address)
			return false
		end
 end)